Subject: [os2genau_digest] No. 920
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 20 Aug 2004 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 19 August 2004
 Number  920
**************************************************

Subjects for today
 
1   USB RAM & card readers : Voytek Eymont <voytek at sbt dot net dot au>
2  Re:  USB RAM & card readers : Nicholas Lysaght" <nickl at pacific dot net dot au>
3  Re:  USB RAM & card readers : Dennis Nolan <dennik at swiftdsl dot com dot au>
4  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
7  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Thu, 19 Aug 2004 09:27:41
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:   USB RAM & card readers

well, I finally moved into digital media age full time, first, with an SD
card for a Palm, and, now, a USB memory stick.

so:

I've installed 'USB Mass Storage Device -January 29 , 2004'

config.sys has:

BASEDEV=USBUHCD.SYS
BASEDEV=USBD.SYS /REQ:USBUHCD$
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /V
REM BASEDEV=USBCDROM.ADD
DEVICE=E:\OS2\BOOT\USBKBD.SYS
DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
REM DEVICE=E:\OS2\BOOT\USBCOM.SYS
BASEDEV=USBCDROM.ADD

and, I seems to have already, a 'Netlab res. man.' (do I need this?)

DEVICE=F:\UTE\SYS\usbresmg.sys

-------------

when I insert my stick, it does show up in drive objects, as a 'FAT' device

however, when I plug in card reader (Shintaro 12-1), I don't get much
card reader's SD light lights up when SD card is inserted

presumedly, for card reader, I need to add support for additional media,
how ?

can OS/2 boot from USB ?

Voytek
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 19 Aug 2004 09:31:31 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  USB RAM & card readers

In response to a message sent 2004-08-19 09:27:41 (Thu) by "Voytek Eymont" <voytek at sbt dot net dot au> about  USB RAM & card readers:

>
> well, I finally moved into digital media age full time, first, with an SD
> card for a Palm, and, now, a USB memory stick.

Congratulations :-) What size is the Memory Stick?

>
> so:
>
> I've installed 'USB Mass Storage Device -January 29 , 2004'
>
> config.sys has:
>
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBD.SYS /REQ:USBUHCD$
> BASEDEV=USBHID.SYS
> BASEDEV=USBMSD.ADD /V
> REM BASEDEV=USBCDROM.ADD
> DEVICE=E:\OS2\BOOT\USBKBD.SYS
> DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
> REM DEVICE=E:\OS2\BOOT\USBCOM.SYS
> BASEDEV=USBCDROM.ADD

Are you using USB Keyboard, USB Mouse or USB CD-ROM? If not, REM them out.

Try adding the following switches to your USBMSD entry. It looks like this:

BASEDEV=USBMSD.ADD /FLOPPIES:0 REMOVABLES:2 /V

>
> and, I seems to have already, a 'Netlab res. man.' (do I need this?)
>
> DEVICE=F:\UTE\SYS\usbresmg.sys

In eCs, that points to the USB Resource Manager, that tells you what USB Devices you have plugged in, and what are available.

>
> -------------
>
> when I insert my stick, it does show up in drive objects, as a 'FAT'
> device

Just like my Thumb Drive. As I write, I can only delete data on it. If I format it, it will turn into a 1.44 Floppy, but you can get the format back by going to Wintendo and it will format it back to however big your card is.

>
> however, when I plug in card reader (Shintaro 12-1), I don't get much
> card reader's SD light lights up when SD card is inserted
>
> presumedly, for card reader, I need to add support for additional media,
> how ?
>
> can OS/2 boot from USB ?

I have a memory card in my Vivitar Digital Camera, but if inserted, only the Card is read and not the original storage. So if I have images stored in the original, to get them I must take the card out and download them.

I would be interested if you are successful in formatting your Memory Stick (Thumb Drive?) to HPFS.

>
> Voytek
>
> ----------------------------------------------------------------------------
> ------
>  

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Thu, 19 Aug 2004 16:58:56 +1000
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  USB RAM & card readers

Voytek Eymont wrote:

>well, I finally moved into digital media age full time, first, with an SD
>card for a Palm, and, now, a USB memory stick.
>
>so:
>
>I've installed 'USB Mass Storage Device -January 29 , 2004'
>
>config.sys has:
>
>BASEDEV=USBUHCD.SYS
>BASEDEV=USBD.SYS /REQ:USBUHCD$
>BASEDEV=USBHID.SYS
>BASEDEV=USBMSD.ADD /V
>REM BASEDEV=USBCDROM.ADD
>DEVICE=E:\OS2\BOOT\USBKBD.SYS
>DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
>REM DEVICE=E:\OS2\BOOT\USBCOM.SYS
>BASEDEV=USBCDROM.ADD
>
>and, I seems to have already, a 'Netlab res. man.' (do I need this?)
>
>DEVICE=F:\UTE\SYS\usbresmg.sys
>
>-------------
>
>when I insert my stick, it does show up in drive objects, as a 'FAT' device
>
>however, when I plug in card reader (Shintaro 12-1), I don't get much
>card reader's SD light lights up when SD card is inserted
>
>presumedly, for card reader, I need to add support for additional media,
>how ?
>
>can OS/2 boot from USB ?
>
>Voytek

> 

>
>
>  
>
Hi Voytek

I am using  USB for my Camera and camera memory card reader as well as a 
Wacom Graphics tablet
This is my setup
    rem
    rem    USB
    rem
    rem   BASEDEV=USBUHCD.SYS
BASEDEV=USBEHCD.SYS
BASEDEV=USBOHCD.SYS
BASEDEV=USBOHCD.SYS
BASEDEV=USBOHCD.SYS
BASEDEV=USBD.SYS
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD
    rem   BASEDEV=USBCDROM.ADD
DEVICE=C:\OS2\MDOS\VMOUSE.SYS
DEVICE=C:\OS2\BOOT\POINTDD.SYS
DEVICE=C:\OS2\BOOT\MOUSE.SYS
DEVICE=C:\OS2\BOOT\USBKBD.SYS
DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
    rem   DEVICE=C:\OS2\BOOT\USBCOM.SYS
DEVICE=C:\OS2\BOOT\USBPRT.SYS
rem
rem  Required for Wacom graphics tablet driver
rem
DEVICE=C:\OS2\BOOT\UsbWcm.SYS /V
rem
rem
rem needed for LVM updating
rem
DEVICE=C:\OS2\BOOT\USBRESMG.SYS
rem

The last line is a usb monitor which scans usb ports looking for mass 
storage devices, it brings up a removable drive object in the drives 
folder whenever I plug my camera or memory card reader into a usb port.
As for booting up OS/2 from a USB MSD, your motherboard needs to suport 
it, then I beleive that it can be done.

How many USB ports do you have on your computer?
You need a "BASEDEV=USBOHCD.SYS" for each port. Even if you are only 
using one port, you still need to have the full complement of statements.
Regards
Dennis.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 19 Aug 2004 18:20:09 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Nicholas Lysaght said:
> Congratulations :-) What size is the Memory Stick?

1GB Shintaro

>> when I insert my stick, it does show up in drive objects, as a 'FAT'
>> device
>
> Just like my Thumb Drive. As I write, I can only delete data on it. If I
> format it, it will turn into a 1.44 Floppy, but you can get the format
> back by going to Wintendo and it will format it back to however big your
> card is.

wintendo tool offers formats:

USB FDD; USB HDD; USB ZIP
and, partitions:
standard disk/security disk

I haven't as yet tried, only this morning I installed USB/2 drivers

>> however, when I plug in card reader (Shintaro 12-1), I don't get much
>> card reader's SD light lights up when SD card is inserted
>>
>> presumedly, for card reader, I need to add support for additional media,
>> how ?
>>
>> can OS/2 boot from USB ?
>
> I have a memory card in my Vivitar Digital Camera, but if inserted, only
> the Card is read and not the original storage. So if I have images stored
> in the original, to get them I must take the card out and download them..
>
> I would be interested if you are successful in formatting your Memory
> Stick (Thumb Drive?) to HPFS.

I'll try perhaps later today

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Thu, 19 Aug 2004 21:46:22 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Nicholas Lysaght said:

> Are you using USB Keyboard, USB Mouse or USB CD-ROM? If not, REM them out.

mouse, yes
keyboard, sometimes

though, I might move mouse to PS2 to free USB...

>
> Try adding the following switches to your USBMSD entry. It looks like
> this:
>
> BASEDEV=USBMSD.ADD /FLOPPIES:0 REMOVABLES:2 /V

I tried this already, with not much luck so far:
:
BASEDEV=USBUHCD.SYS /V /REMOVABLES:4

hmmm, that's clever, right switch, rwong line....

oh well, reboot time....

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Thu, 19 Aug 2004 21:48:39 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Dennis Nolan said:

>
> How many USB ports do you have on your computer?
> You need a "BASEDEV=USBOHCD.SYS" for each port. Even if you are only
> using one port, you still need to have the full complement of statements.

2 slots down the back, mouse in one,
though I guess I'll move mouse to PS2, to free one

I'll correct my missed switch, and, REIPL shortly...

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   7 ==========================**

Date:  Thu, 19 Aug 2004 23:53:06 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Dennis Nolan said:
> Voytek Eymont wrote:

well, after a reboot with:

BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBD.SYS /REQ:USBUHCD$
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /V REMOVABLES:4
REM BASEDEV=USBCDROM.ADD
REM DEVICE=E:\OS2\BOOT\USBKBD.SYS
REM DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
REM DEVICE=E:\OS2\BOOT\USBCOM.SYS
REM BASEDEV=USBCDROM.ADD
DEVICE=F:\UTE\SYS\usbresmg.sys

> How many USB ports do you have on your computer?
> You need a "BASEDEV=USBOHCD.SYS" for each port. Even if you are only
> using one port, you still need to have the full complement of statements.
> Regards
> Dennis.
>

as for formatting:

4[roman][F:\work\chippen]format k: /fs:hpfs
The type of file system for the disk is FAT.
SYS1512: The requested function is not supported on this disk or
diskette for file system HPFS.

7[roman][F:\work\chippen]format k: /fs:fat
The type of file system for the disk is FAT.
Warning!  All data on hard disk K: will be lost!
Proceed with FORMAT (Y/N)?

7[roman][F:\work\chippen]format k: /fs:fat
The type of file system for the disk is FAT.
Warning!  All data on hard disk K: will be lost!
Proceed with FORMAT (Y/N)? y
The Volume Serial Number is 18F2-DC15.

Enter up to 11 characters for the volume label
or press Enter for no volume label.

     1048412160 bytes total disk space
     1048412160 bytes available on disk

          32768 bytes in each allocation unit.
          31995 available allocation units on disk.

actually, after one reboot, the USB got a proper HD icon, now, it gets a
removable drive icon

but, still no go with card reader....

also, the boot time got kinda long since installing USB support
-- 
Voytek
----------------------------------------------------------------------------------